package com.engine.salary.wrapper.proxy;

import com.engine.salary.entity.salaryacct.dto.SalaryAcctResultDetailDTO;
import com.engine.salary.entity.salaryacct.dto.SalaryAcctResultListColumnDTO;
import com.engine.salary.entity.salaryacct.param.*;

import java.util.Map;

public interface SalaryAcctResultWrapperProxy {
    Map<String, Object> listPage(SalaryAcctResultQueryParam queryParam);

    SalaryAcctResultDetailDTO getForm(Long salaryAcctEmployeeId);

    Map<String, SalaryAcctResultListColumnDTO> getColumnBySalaryAcctRecordId(Long salaryAcctRecordId);

    void save(SalaryAcctResultSaveParam saveParam);

    void updateLockStatusByParam(SalaryAcctResultUpdateLockStatusParam updateParam);

    void calculate(SalaryAcctCalculateParam calculateParam);

    void batchUpdate(SalaryAcctResultBatchUpdateParam param);
}
